import { VegaRichTextEditor } from '../../../vega-rich-text-editor';
import { VisualModeToolbarButtonSlimmer } from './visual-mode-toolbar-button-slimmer.abstract';
export declare class ClearStyleToolbarButtonSlimmer extends VisualModeToolbarButtonSlimmer {
  selectionController: VegaRichTextEditor['selectionController'];
  constructor();
  protected isSelected(): boolean;
  protected onClick(): void;
  protected isDisabled(): boolean;
}
